library(DeepCNV)

set.seed(825749)
obs <- simReads(nMut=2, nVar=7, nu=0.17, "Norm", depth=130 )
obs

### likelihood
like <- cnvLikelihood(0.22, obs)
like[1,,1]
like[1,,2]

like <- cnvLikelihood(c(0.2, 0.3, 0.4), obs)
dim(like)
like[,,1]

### bad arguments
try( cnvLikelihood(2, obs) )
try( cnvLikelihood(-1, obs) )
try( cnvLikelihood(1234) )
try( cnvLikelihood(12, 34) )

### variants
phi <- CNVariant("RR", "RVV")
phi(c(0.2, 0.3, 0.4))

try( CNVariant(0, 0) )
try( CNVariant("R", 0) )

### needs better error checking
phi <- CNVariant("ABC", "DE")
phi(c(0.2, 0.3, 0.4))
