library(DeepCNV)

set.seed(7042781)
obs1 <- simReads(1, 9, 0.23, "Normal")
obs2 <- simReads(1, 7, 0.23, "Deleted")
observed <- list(G1 = obs1, G2=obs2)
rm(obs1, obs2)
observed

prior <- setCNVPrior(alpha=1.2, beta=4.8, pAbnormal=0.6)
mpost <- multiCNVPosterior(observed, prior)
summary(mpost)

plot(mpost)

# alternative input mode
g1 <- data.frame(Gene="G1", observed[[1]])
g2 <- data.frame(Gene="G2", observed[[2]])
obs <- rbind(g1, g2)
rm(g1, g2)
obs

mpost2 <- multiCNVPosterior(observed, prior)
summary(mpost2)
